Collator::sortWithSortKeys
NumberFormatter
Collator
PHP Manual

# Collator::sort

# collator_sort

Sort array using specified collator

### Description

Object oriented style

public bool Collator::sort ( array `&$arr` [, int `$sort_flag` ] )

Procedural style

bool collator_sort ( Collator `$coll` , array `&$arr` [, int `$sort_flag` ] )

This function sorts an array according to current locale rules.

Equivalent to standard PHP sort .

### Parameters

`coll`

  Collator object.

`arr`

  Array of strings to sort.

`sort_flag`

  Optional sorting type, one of the following:

  - `Collator::SORT_REGULAR` - compare items normally (don't change types)

  - `Collator::SORT_NUMERIC` - compare items numerically

  - `Collator::SORT_STRING` - compare items as strings

  Default sorting type is `Collator::SORT_REGULAR`. It is also used if an invalid `sort_flag` value has been specified.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 collator_sort example

`<?php
$coll = collator_create( 'en_US' );
$arr = array( 'at', 'às', 'as' );
var_export( $arr );
collator_sort( $coll, $arr );
var_export( $arr );
?>`

The above example will output:

    array (
      0 => 'at',
      1 => 'às',
      2 => 'as',
    )array (
      0 => 'as',
      1 => 'às',
      2 => 'at',
    )

### See Also

- Collator constants
- collator_asort
- collator_sort_with_sort_keys